PHPExcel_Chart_PlotArea

category | PHPExcel
package | PHPExcel_Chart
copyright | Copyright (c) 2006 - 2014 PHPExcel (http://www.codeplex.com/PHPExcel)

### Methods

## Create a new PHPExcel_Chart_PlotArea

    __construct(\PHPExcel_Chart_Layout $layout, $plotSeries)

### Parameters

#### $layout

#### $plotSeries

## Get Layout

    getLayout() : \PHPExcel_Chart_Layout

### Returns

`\PHPExcel_Chart_Layout`

## Get Plot Series

    getPlotGroup() : array

### Returns

`array`of PHPExcel_Chart_DataSeries

## Get Plot Series by Index

    getPlotGroupByIndex($index) : \PHPExcel_Chart_DataSeries

### Parameters

#### $index

### Returns

`\PHPExcel_Chart_DataSeries`

## Get Number of Plot Groups

    getPlotGroupCount() : array

### Returns

`array`of PHPExcel_Chart_DataSeries

## Get Number of Plot Series

    getPlotSeriesCount() : integer

### Returns

`integer`

## refresh()

    refresh(\PHPExcel_Worksheet $worksheet)

### Parameters

#### $worksheet

## Set Plot Series

    setPlotSeries(\[PHPExcel_Chart_DataSeries] $plotSeries) : \PHPExcel_Chart_PlotArea

### Parameters

#### $plotSeries

`\[PHPExcel_Chart_DataSeries]`

### Returns

`\PHPExcel_Chart_PlotArea`

### Properties

##

    $_layout : \PHPExcel_Chart_Layout

##

    $_plotSeries : array